package org.artifactory.webapp.servlet;

import org.testng.annotations.DataProvider;
import org.testng.annotations.Test;

import static org.testng.Assert.assertEquals;

/**
 * @author Uriah Levy
 */
@Test
public class ArtifactoryFilterTest {
    @Test(dataProvider = "provideURIs")
    public void testIsBinaryStoreServletRequest(String requestURI, boolean isBinaryStoreServletExpectedValue) {
        ArtifactoryFilter artifactoryFilter = new ArtifactoryFilter();
        assertEquals(artifactoryFilter.isBinarystoreServletRequest(requestURI), isBinaryStoreServletExpectedValue);
    }


    @DataProvider
    public static Object[][] provideURIs() {
        return new Object[][] {
                {"", false},
                {"/", false},
                {"/foo", false},
                {"artifactory", false},
                {"/artifactory", false},
                {"/artifactory/api/system/ping", false},
                {"binarystore.xml", false},
                {"artifactory/repo/binarystore.xml", false},
                {"/artifactory/binarystore", true},
                {"binarystore", true},
                {"binarystore/foo", true}
        };
    }
}