package org.artifactory.ui.rest.model.admin.configuration.repository.info;

import org.artifactory.rest.common.util.JsonUtil;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.List;
import java.util.Set;

import static org.testng.Assert.assertEquals;
import static org.testng.Assert.assertTrue;

/**
 * @author Yevdo Abramov
 * Created on 01/11/2020
 */
public class RepositoryInfoTest {

    @Test
    public void testTestToStringWhenProjectRelatedFieldsAreEmpty() throws IOException {
        RepositoryInfo repositoryInfo = new LocalRepositoryInfo();
        repositoryInfo.setRepoKey("myrepo");
        assertEquals(repositoryInfo.toString(), "{\"repoKey\":\"myrepo\"}");
        repositoryInfo.setProject("my_proj");
        repositoryInfo.setEnvironments(Set.of("dev", "test"));
        RepositoryInfo repositoryInfoAfterConversion =
                JsonUtil.mapDataToModel(repositoryInfo.toString(), LocalRepositoryInfo.class);
        assertEquals(repositoryInfoAfterConversion.getProject(), "my_proj");
        assertTrue(repositoryInfoAfterConversion.getEnvironments().containsAll(List.of("dev", "test")));
    }
}