package org.artifactory.rest.resource.metrics;

import org.artifactory.api.security.AuthorizationService;
import org.artifactory.metrics.framework.MetricsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.config.BeanDefinition;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import javax.annotation.security.RolesAllowed;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

@Component
@Path("/v1/metrics")
@RolesAllowed({AuthorizationService.ROLE_ADMIN})
@Scope(BeanDefinition.SCOPE_PROTOTYPE)
public class MetricsAPIResource {
    @Autowired
    private AuthorizationService authorizationService;

    @Autowired
    MetricsService metricsService;

    @GET
    @Produces(MediaType.TEXT_PLAIN)
    public Response getOpenMetrics() {
        if (!authorizationService.isAdmin()) {
            return Response.status(Response.Status.UNAUTHORIZED).build();
        }
        String metrics = metricsService.getOpenMetrics();
        return Response.ok().entity(metrics).build();
    }
}
